# Virtual Cores

![Banner Image](https://i.imgur.com/fV8R9eg.png)

## Description

Once a core composer runs out of spaces to place cores, it'll start storing them virtually instead.

## Installation

If you are using Techtonica Mod Loader, you can skip these steps.

Note, this mod requires use of the BepInEx Update function. If you have not already done so for another mod, follow these instructions:
1. Find your game install folder.
2. Navigate to BepInEx\config.
3. Open BepInEx.cfg.
4. Find the setting "HideGameManagerObject".
5. Set it to "true".
6. Save & close.

### Techtonica Mod Loader Installation

You can download the Techtonica Mod Loader from [here](https://github.com/CubeSuite/TechtonicaModLoader/releases) and use that to install this mod.

### Manual Install Instructions

Note: If you are playing on Gamepass, your game version is likely behind the steam version. Please check the version compatibility chart below.

Your game folder is likely in one of these places:  
    • Steam: (A-Z):/steam/steamapps/common/Techtonica  
    • Gamepass: (A-Z):/XboxGames/Techtonica/Content  
    • Gamepass: Could also be in C:/Program Data/WindowsApps  

1. Download BepInEx v5.4.21 from [here](https://github.com/BepInEx/BepInEx/releases)
1. Follow the installation instructions [here](https://docs.bepinex.dev/articles/user_guide/installation/index.html)
1. Download and install any dependencies.
1. Extract the contents of the .zip file for this mod.
1. Drag the "BepInEx" folder into your game folder.

## Version Compatibility

|  Mod Version  |  Game Version  |
|:-------------:|:--------------:|
|     v2.x.x    |     v0.3.0e    |
|     v1.x.x    |     v0.2.1c    |

## Changelog

### V2.0.2

- Fixed a bug that caused double core clusters.
- Fixed a bug that caused spent cores to not be accounted for when showing number of available cores.

### V2.0.1

- Fixed a bug that caused errors before unlocking blue cores.

### V2.0.0

- Updated for game version 0.3.0e

### V1.0.1

- Fixed a bug that caused virtual cores to not count towards core clusters.

### V1.0.0

Initial release.

&nbsp;
## Disclaimer

Note: NEW Games must be loaded, saved, and reloaded for mods to take effect. Existing saves will auto-apply mods. 
Please be sure to backup your saves before using mods: AppData\LocalLow\Fire Hose Games\Techtonica 
USE AT YOUR OWN RISK! Techtonica Devs do not provide support for Mods, and cannot recover saves damaged by mod usage.

Some assets may come from Techtonica or from the website created and owned by Fire Hose Games, who hold the copyright of Techtonica. All trademarks and registered trademarks present in any images are proprietary to Fire Hose Games.
